#include "Roboid.h"

Roboid::Roboid() {}

Roboid::Roboid(Perception *perception, Propulsion *propulsion) {
  this->perception = perception;
  this->propulsion = propulsion;
  propulsion->roboid = this;
}

void Roboid::Update(float currentTimeMs) {
  if (perception != nullptr)
    perception->Update(currentTimeMs);
}